> For the complete documentation index, see [llms.txt](https://docs.onnano.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.onnano.co/public-api/moe-public-api.md).

# MOE Public API

We provide an API to make it easier to use MOE.

* API endpoint: <https://api.onnano.co>

<mark style="color:blue;">`GET`</mark> `https://api.onnano.co/circulating_supply`

You can check the total issuance and circulation of MOE ERC-20 token.

{% tabs %}
{% tab title="200: OK Circulating sypply(Float)" %}

```
{
    "success":true,
    "total_supply":1000000000000,
    "circulating_supply":898958728322.8444
}
```

{% endtab %}
{% endtabs %}

<mark style="color:blue;">`GET`</mark> `https://api.onnano.co/max_supply`

{% tabs %}
{% tab title="200: OK Max supply(Float)" %}

{% endtab %}
{% endtabs %}

<mark style="color:blue;">`GET`</mark> `https://api.onnano.co/total_supply`

{% tabs %}
{% tab title="200: OK Total supply(Float)" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onnano.co/public-api/moe-public-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
